aim4.msg.v2i

## Enum V2IMessage.Type

- java.lang.Object
- - java.lang.Enum<V2IMessage.Type>
  - - aim4.msg.v2i.V2IMessage.Type

- All Implemented Interfaces:
    Serializable, Comparable<V2IMessage.Type>
  Enclosing class:
    V2IMessage

      public static enum V2IMessage.Type
      extends Enum<V2IMessage.Type>

  The different types of Vehicle to Intersection Manager messages.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACZ_CANCEL` Message cancelling a previous ACZ_REQUEST.
    `ACZ_ENTERED` Message indicating the vehicle has completed entering the admission control zone.
    `ACZ_EXIT` Message indicating the vehicle has left the admission control zone by leaving the roadway.
    `ACZ_REQUEST` Message requesting entry into the admission control zone.
    `AWAY` Message indicating the vehicle has left the admission control zone by driving straight out of it.
    `CANCEL` Message cancelling a currently held reservation.
    `DONE` Message indicating that the vehicle has traversed the intersection.
    `REQUEST` Mesage requesting a reservation or a change of reservation.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static V2IMessage.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static V2IMessage.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REQUEST

          public static final V2IMessage.Type REQUEST

      Mesage requesting a reservation or a change of reservation.

    - #### CANCEL

          public static final V2IMessage.Type CANCEL

      Message cancelling a currently held reservation.

    - #### DONE

          public static final V2IMessage.Type DONE

      Message indicating that the vehicle has traversed the intersection.

    - #### ACZ_REQUEST

          public static final V2IMessage.Type ACZ_REQUEST

      Message requesting entry into the admission control zone.

    - #### ACZ_CANCEL

          public static final V2IMessage.Type ACZ_CANCEL

      Message cancelling a previous ACZ_REQUEST.

    - #### ACZ_ENTERED

          public static final V2IMessage.Type ACZ_ENTERED

      Message indicating the vehicle has completed entering the admission control zone.

    - #### ACZ_EXIT

          public static final V2IMessage.Type ACZ_EXIT

      Message indicating the vehicle has left the admission control zone by leaving the roadway.

    - #### AWAY

          public static final V2IMessage.Type AWAY

      Message indicating the vehicle has left the admission control zone by driving straight out of it.

  - ### Method Detail

    - #### values

          public static V2IMessage.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (V2IMessage.Type c : V2IMessage.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static V2IMessage.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013. All rights reserved.